// DS2450DlgDlg.h : header file
//

#if !defined(AFX_DS2450DLGDLG_H__35508166_BB72_11D2_A69C_00105AE399E3__INCLUDED_)
#define AFX_DS2450DLGDLG_H__35508166_BB72_11D2_A69C_00105AE399E3__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "AtoD.h"

/////////////////////////////////////////////////////////////////////////////
// CDS2450DlgDlg dialog

class CDS2450DlgDlg : public CDialog
{
// Construction
public:
	CDS2450DlgDlg(CWnd* pParent = NULL);	// standard constructor
	

// Dialog Data
	//{{AFX_DATA(CDS2450DlgDlg)
	enum { IDD = IDD_DS2450DLG_DIALOG };
	CComboBox	m_alarmLowCombo;
	CComboBox	m_alarmHighCombo;
	CComboBox	m_resolutionCombo;
	BOOL	m_btnAcheck;
	BOOL	m_btnBcheck;
	BOOL	m_btnCcheck;
	BOOL	m_btnDcheck;
	int		m_channelChoice;
	BOOL	m_alarmHighCheck;
	BOOL	m_alarmLowCheck;
	int		m_presetRadio;
	int		m_voltageRadio;
	int		m_outputEnableRadio;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDS2450DlgDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL
	private:
	//functions
	float StringToUchar(CString binary);
	float BinToFloat(uchar value);
	uchar FloatToBin(float value);
	void Get2450Settings(uchar channel);

	//member variables
	CAtoD my2450;         //the 2450 object
	BOOL m_writtenFlag;   //BOOLEAN to check whether data 
						  //has been wriiten to the button 
	
	uchar m_curResolution;    //variables for setup changes before they are 
	BOOL m_voltRange;         //written to the 2450
	BOOL m_transistorOff;
	BOOL m_outEnable;
	BOOL m_preset, m_preclear;
	uchar m_alarmHighSet, m_alarmLowSet;

	static BOOL m_AEH;
	static BOOL m_AEL;
	
// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDS2450DlgDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnChACheck();
	afx_msg void OnChBCheck();
	afx_msg void OnChCCheck();
	afx_msg void OnChDCheck();
	afx_msg void OnCloseupResolutionCombo();
	afx_msg void OnEditchangeResolutionCombo();
	afx_msg void OnPage0Button();
	afx_msg void OnPage1Button();
	afx_msg void OnPage2Button();
	afx_msg void OnReadButton();
	afx_msg void OnWriteButton();
	afx_msg void OnExitButton();
	afx_msg void OnChARadio();
	afx_msg void OnChBRadio();
	afx_msg void OnChCRadio();
	afx_msg void OnChDRadio();
	afx_msg void OnVoltage256Radio();
	afx_msg void OnVoltage512Radio();
	afx_msg void OnAEHCheck();
	afx_msg void OnAELCheck();
	afx_msg void OnCloseupAlarmHighCombo();
	afx_msg void OnEditchangeAlarmHighCombo();
	afx_msg void OnPreset0Radio();
	afx_msg void OnPreset1Radio();
	afx_msg void OnNopresetRadio();
	afx_msg void OnOutputDisableRadio();
	afx_msg void OnTransOnRadio();
	afx_msg void OnTransOffRadio();
	afx_msg void OnCloseupAlarmLowCombo();
	afx_msg void OnEditchangeAlarmLowCombo();
	afx_msg void OnClearAlarmButton();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DS2450DLGDLG_H__35508166_BB72_11D2_A69C_00105AE399E3__INCLUDED_)
